blaze-svg-0.3.5: SVG combinator library

Safe Haskell | None
Language | Haskell98

Text.Blaze.Svg11

Description

This module exports SVG combinators used to create documents.

Synopsis

- module Text.Blaze
- module Text.Blaze.Svg
- docType :: Svg
- docTypeSvg :: Svg -> Svg
- a :: Svg -> Svg
- altglyph :: Svg
- altglyphdef :: Svg
- altglyphitem :: Svg
- animate :: Svg
- animatecolor :: Svg
- animatemotion :: Svg
- animatetransform :: Svg
- circle :: Svg
- clippath :: Svg -> Svg
- colorProfile :: Svg
- cursor :: Svg
- defs :: Svg -> Svg
- desc :: Svg
- ellipse :: Svg
- feblend :: Svg
- fecolormatrix :: Svg
- fecomponenttransfer :: Svg
- fecomposite :: Svg
- feconvolvematrix :: Svg
- fediffuselighting :: Svg
- fedisplacementmap :: Svg
- fedistantlight :: Svg
- feflood :: Svg
- fefunca :: Svg
- fefuncb :: Svg
- fefuncg :: Svg
- fefuncr :: Svg
- fegaussianblur :: Svg
- feimage :: Svg
- femerge :: Svg
- femergenode :: Svg
- femorphology :: Svg
- feoffset :: Svg
- fepointlight :: Svg
- fespecularlighting :: Svg
- fespotlight :: Svg
- fetile :: Svg
- feturbulence :: Svg
- filter_ :: Svg
- font :: Svg
- fontFace :: Svg
- fontFaceFormat :: Svg
- fontFaceName :: Svg
- fontFaceSrc :: Svg
- fontFaceUri :: Svg
- foreignobject :: Svg
- g :: Svg -> Svg
- glyph :: Svg -> Svg
- glyphref :: Svg
- hkern :: Svg
- image :: Svg
- line :: Svg
- lineargradient :: Svg -> Svg
- marker :: Svg -> Svg
- mask :: Svg -> Svg
- metadata :: Svg
- missingGlyph :: Svg -> Svg
- mpath :: Svg
- path :: Svg
- pattern :: Svg -> Svg
- polygon :: Svg
- polyline :: Svg
- radialgradient :: Svg -> Svg
- rect :: Svg
- script :: Svg
- set :: Svg
- stop :: Svg
- style :: Svg
- svg :: Svg -> Svg
- switch :: Svg -> Svg
- symbol :: Svg -> Svg
- text_ :: Svg -> Svg
- textpath :: Svg
- title :: Svg
- tref :: Svg
- tspan :: Svg
- use :: Svg
- view :: Svg
- vkern :: Svg

# Documentation

module Text.Blaze

module Text.Blaze.Svg

docType Source

Arguments

:: Svg | The document type SVG.

Combinator for the document type. This should be placed at the top of every SVG page.

    <?xml version="1.0" encoding="UTF-8"?>
    <!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
        "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">

docTypeSvg Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<svg>` element. This combinator will also insert the correct doctype.

a Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<a>` element.

altglyph Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<altGlyph />` element.

altglyphdef Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<altGlyphDef />` element.

altglyphitem Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<altGlyphItem />` element.

animate Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<animate />` element.

animatecolor Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<animateColor />` element.

animatemotion Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<animateMotion />` element.

animatetransform Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<animateTransform />` element.

circle Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<circle />` element.

clippath Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<clipPath>` element.

colorProfile Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<color-profile />` element.

cursor Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<cursor />` element.

defs Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<defs>` element.

desc Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<desc />` element.

ellipse Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<ellipse />` element.

feblend Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feBlend />` element.

fecolormatrix Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feColorMatrix />` element.

fecomponenttransfer Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feComponentTransfer />` element.

fecomposite Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feComposite />` element.

feconvolvematrix Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feConvolveMatrix />` element.

fediffuselighting Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feDiffuseLighting />` element.

fedisplacementmap Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feDisplacementMap />` element.

fedistantlight Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feDistantLight />` element.

feflood Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feFlood />` element.

fefunca Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feFuncA />` element.

fefuncb Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feFuncB />` element.

fefuncg Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feFuncG />` element.

fefuncr Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feFuncR />` element.

fegaussianblur Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feGaussianBlur />` element.

feimage Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feImage />` element.

femerge Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feMerge />` element.

femergenode Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feMergeNode />` element.

femorphology Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feMorphology />` element.

feoffset Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feOffset />` element.

fepointlight Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<fePointLight />` element.

fespecularlighting Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feSpecularLighting />` element.

fespotlight Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feSpotLight />` element.

fetile Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feTile />` element.

feturbulence Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<feTurbulence />` element.

filter_ Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<filter />` element.

font Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<font />` element.

fontFace Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<font-face />` element.

fontFaceFormat Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<font-face-format />` element.

fontFaceName Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<font-face-name />` element.

fontFaceSrc Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<font-face-src />` element.

fontFaceUri Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<font-face-uri />` element.

foreignobject Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<foreignObject />` element.

g Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<g>` element.

glyph Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<glyph>` element.

glyphref Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<glyphRef />` element.

hkern Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<hkern />` element.

image Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<image />` element.

line Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<line />` element.

lineargradient Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<linearGradient>` element.

marker Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<marker>` element.

mask Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<mask>` element.

metadata Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<metadata />` element.

missingGlyph Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<missing-glyph>` element.

mpath Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<mpath />` element.

path Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<path />` element.

pattern Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<pattern>` element.

polygon Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<polygon />` element.

polyline Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<polyline />` element.

radialgradient Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<radialGradient>` element.

rect Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<rect />` element.

script Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<script />` element.

set Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<set />` element.

stop Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<stop />` element.

style Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<style />` element.

svg Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<svg>` element.

switch Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<switch>` element.

symbol Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<symbol>` element.

text_ Source

Arguments

:: Svg | Inner SVG.
-> Svg | Resulting SVG.

Combinator for the `<text>` element.

textpath Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<textPath />` element.

title Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<title />` element.

tref Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<tref />` element.

tspan Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<tspan />` element.

use Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<use />` element.

view Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<view />` element.

vkern Source

Arguments

:: Svg | Resulting SVG.

Combinator for the `<vkern />` element.